> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all views



## OpenAPI

````yaml get /v1/view-types
openapi: 3.0.0
info:
  title: Thena Platform
  description: The Thena Platform API description
  version: '1.0'
  contact: {}
servers:
  - url: https://platform.thena.ai
    description: production
security:
  - bearerAuth: []
tags:
  - name: Thena Platform APIs
    description: ''
paths:
  /v1/view-types:
    get:
      tags:
        - Views Types
      summary: Get all views
      operationId: ViewsTypesController_getViews
      parameters: []
      responses:
        '200':
          description: Operation successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllViewsTypesResponse'
        '401':
          description: User is not authenticated!
        '403':
          description: User does not have access to this resource!
        '404':
          description: Resource not found!
        '429':
          description: Too many requests!
        '500':
          description: Something went wrong!
        '503':
          description: This service/resource is currently unavailable.
components:
  schemas:
    GetAllViewsTypesResponse:
      type: object
      properties:
        status:
          type: boolean
          default: true
          description: The status of the response
        message:
          type: string
          default: Success
          description: The message of the response
        timestamp:
          format: date-time
          type: string
          default: '2024-01-01T00:00:00.000Z'
          description: The timestamp of the response
        data:
          description: The views types fetched
          type: array
          items:
            $ref: '#/components/schemas/ViewsTypesResponseDto'
      required:
        - status
        - message
        - timestamp
        - data
    ViewsTypesResponseDto:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the view type
        name:
          type: string
          description: The name of the view
        description:
          type: string
          description: The description of the view
        icon:
          type: string
          description: The icon of the view type
        createdAt:
          format: date-time
          type: string
          description: The created at of the view
        updatedAt:
          format: date-time
          type: string
          description: The updated at of the view
      required:
        - id
        - name
        - description
        - icon
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Enter the bearer token

````